Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "2632f231-5ef8-4444-bcce-708e03b19a1b",
"user_id": "ca6682ea-43f0-409b-ac2c-6c0e81eae0d3",
"user_planning_slot_type_id": "a1cfce49-23ca-4462-86bc-0e8dba5551bb",
"date_from": "2026-11-05T09:48:07.9442378+00:00",
"date_to": "2026-11-05T09:48:07.9442378+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-05T09:48:07.9442378+00:00"
}